using System;

namespace TRsAlphaCutter
{
    public class EffectPluginConfigToken : PaintDotNet.Effects.EffectConfigToken
    {

        public bool Save
        {
            get;
            set;
        }
        public int Roundness
        {
            get;
            set;
        }
        public int Distance
        {
            get;
            set;
        }
        public int Sensitivity
        {
            get;
            set;
        }
        public int Spacing
        {
            get;
            set;
        }

        public EffectPluginConfigToken(bool save,int roundness, int distance, int sensitivity, int spacing)
            : base()
        {
            this.Save = save;
            this.Roundness = roundness;
            this.Distance = distance;
            this.Sensitivity = sensitivity;
            this.Spacing = spacing;
        }

        protected EffectPluginConfigToken(EffectPluginConfigToken copyMe)
            : base(copyMe)
        {
            this.Save = copyMe.Save;
            this.Roundness = copyMe.Roundness;
            this.Distance = copyMe.Distance;
            this.Sensitivity = copyMe.Sensitivity;
            this.Spacing = copyMe.Spacing;


        }

        public override object Clone()
        {
            return new EffectPluginConfigToken(this);
        }
    }
}